Summary:	A graphical interface for administering users and groups
Name:		userdrake
Version:	2.10
Release:	%mkrel 4
Source0:	%{name}-%{version}.tar.xz
URL:		http://www.mageia.org
License:	GPL
Group:		System/Configuration
Requires:	drakxtools >= 16
Requires:	polkit
Requires:	transfugdrake
Requires:	%{_lib}user1
BuildRequires:  gettext 
BuildRequires:  perl-devel 
BuildRequires:  libuser-devel 
BuildRequires:  libglib2.0-devel 
BuildRequires:  pam-devel 
BuildRequires:  intltool 
BuildRequires:  perl_checker

%description
Userdrake is a user-friendly and powerful tool for administrating users and 
groups.

%prep
%setup -q
		
%build
cd USER
%{__perl} Makefile.PL INSTALLDIRS=vendor 
cd ..
make OPTIMIZE="$RPM_OPT_FLAGS -w" 

%install
rm -rf %buildroot
make PREFIX=$RPM_BUILD_ROOT install 

%makeinstall_std -C USER

#fix permission old rpm version
chmod 0755 %buildroot/usr/lib/perl5/vendor_perl/5.22.3/x86_64-linux-thread-multi/auto/USER/USER.so

#install lang
%{find_lang} userdrake

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop <<EOF
[Desktop Entry]
Name=User Administration
Comment=Add or remove users and groups
Exec=/usr/bin/drakuser
Icon=userdrake
Type=Application
StartupNotify=true
Categories=GTK;System;X-MandrivaLinux-CrossDesktop;
NoDisplay=true
EOF


%files -f userdrake.lang
%doc README COPYING RELEASE_NOTES
%{_sysconfdir}/sysconfig/userdrake
%{_prefix}/bin/*
%{_prefix}/libexec/*
%{_datadir}/polkit-1/actions/*.policy
%{_datadir}/userdrake
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/*.png
%{_miconsdir}/*.png
%{_liconsdir}/*.png

%{_mandir}/man3/USER*
%{perl_vendorarch}/USER.pm
%{perl_vendorarch}/auto/USER

%changelog
* Sun Sep 13 2020 tex - 2.10-4pclos2020
- rebuild against updates

* Mon Sep 16 2019 tex - 2.10-3pclos2019
- add user to disk group
- drop add user to floppy

* Mon Jul 10 2017 bb2 <bb2> - 2.10-2pclos2017
- rebuild against updates

* Sun Feb 14 2016 bb <bb> 2.10-1pclos2016
- import from france for pclos with mods
